Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Opt-ins

List Opt-ins

GET
/v1/opt-ins

Returns a paginated list of opt-ins.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

id[in]?string

Filters by any of the supplied id values.

opt_in_group?string

Filters resources by opt in group.

opt_in_group[in]?string

Filters by any of the supplied opt in group values.

contact?string

Filters resources by contact.

contact[in]?string

Filters by any of the supplied contact values.

contact_external_id?string

Unique identifier of the related contact external.

channel_type?"email" | "facebook" | "google_business_messaging" | "instagram" | "postal" | "sms" | "whatsapp"

Filters resources by channel type.

channel_type[in]?string

Filters by any of the supplied channel type values.

status?string

Current status of the resource.

status[neq]?string

Filters out resources with this status.

status[in]?string

Filters by any of the supplied status values.

updated_at?string

Timestamp when the resource was last updated.

Formatdate-time
updated_at[gte]?string

Filters resources by updated at using the gte operator.

Formatdate-time
updated_at[lte]?string

Filters resources by updated at using the lte operator.

Formatdate-time
updated_at[gt]?string

Filters resources by updated at using the gt operator.

Formatdate-time
updated_at[lt]?string

Filters resources by updated at using the lt operator.

Formatdate-time
limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length
include?array<"contact" | "opt_in_group">

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/opt-ins"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "key": "string",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "opt_in_group_id": "4b357ede-6cef-46e7-8acc-09c4cf4c759a",      "channel_type": "email",      "status": "requested",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "contact": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "display_name": "string",        "full_name": "string",        "salutation": "string",        "birthday": "2019-08-24T14:15:22Z",        "description": "string",        "external_id": "string",        "secondary_external_id": "string",        "address_line1": "string",        "address_line2": "string",        "city": "string",        "zipcode": "string",        "country": "string",        "is_blocked": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "opt_in_group": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "key": "string",        "name": "string",        "status": "draft",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    }  ],  "next_page_url": "string",  "previous_page_url": "string"}